/* eslint-disable no-undef */
import React from 'react';
import { Link, Route, Switch } from 'dva/router';
import { Affix } from 'antd';
import ReactMarkdown from 'react-markdown';
import 'github-markdown-css';
import styles from './index.less';
import mdIndex from './index.md';
import mdAuth from './auth.md';
import mdDyInt from './dynamic-interface.md';

const md = mdString => props => (
  <div style={{
    padding: '1em',
    background: '#fafafa',
  }}
  >
    <ReactMarkdown {...props} className="markdown-body" source={mdString} />
  </div>
);

class DocMainPage extends React.Component {
  render() {
    const { match } = this.props;
    return (
      <div className={styles.main} ref={(node) => { this.container = node && node.parentElement; }}>
        <Affix target={() => this.container}>
          <ul className={styles.catalogue}>
            <li>
              <Link to={`${match.url}/index`}>前置说明</Link>
            </li>
            <li>
              <Link to={`${match.url}/auth`}>登录与认证</Link>
            </li>
            <li>
              <Link to={`${match.url}/dynamic-interface`}>动态接口</Link>
            </li>
          </ul>
        </Affix>
        <div className={styles.contents}>
          <Switch>
            <Route path={`${match.path}/index`} component={md(mdIndex)} />
            <Route path={`${match.path}/auth`} component={md(mdAuth)} />
            <Route path={`${match.path}/dynamic-interface`} component={md(mdDyInt)} />
          </Switch>
        </div>
      </div>
    );
  }
}

export default DocMainPage;
